function [Y] = Variable_Construction(W)

global WLength WWidth C J Params r Sims

Y=zeros(WLength, WWidth + 1);
Y(:,1)=W(:,1);
Y(:,2)=W(:,2);

%Update candidate choice sets with variable construction for
%econometric model
for k=1:1:WLength
    %ESA dummy (1 if recovered)
    if W(k,3)==2;
        Y(k,3)=1;
    end
    if W(k,4)==2;
        Y(k,4)=1;
    end
    
    %Pop variable (actual pop #)
    if W(k,5)==1;
        Y(k,5)=1.5-1.5;
    elseif W(k,5)==2;
        Y(k,5)=2.5-1.5;
    elseif W(k,5)==3;
        Y(k,5)=3.25-1.5;
    elseif W(k,5)==4;
        Y(k,5)=3.75-1.5;
    else
        Y(k,5)=5.25-1.5;
    end
    if W(k,6)==1;
        Y(k,6)=1.50-1.5;
    elseif W(k,6)==2;
        Y(k,6)=2.50-1.5;
    elseif W(k,6)==3;
        Y(k,6)=3.25-1.5;
    elseif W(k,6)==4;
        Y(k,6)=3.75-1.5;
    else
        Y(k,6)=5.25-1.5;
    end
    
    %dynamics (1 if fast)
    if W(k,7)==3;
        Y(k,7)=1;
    end
    if W(k,8)==3;
        Y(k,8)=1;
    end
    
    %fishing1 (1 if annual only)
    if W(k,9)==2;
        Y(k,9)=1;
    end
    if W(k,10)==2;
        Y(k,10)=1;
    end
    
    %fishing2 (1 if annual +10/yr)
    if W(k,9)==3;
        Y(k,11)=1;
    end
    if W(k,10)==3;
        Y(k,12)=1;
    end
    
    %cost
    if W(k,11)==2;
        Y(k,13)=0.10;
    elseif W(k,11)==3;
        Y(k,13)=0.20;
    elseif W(k,11)==4;
        Y(k,13)=0.50;
    elseif W(k,11)==5;
        Y(k,13)=0.75;
    elseif W(k,11)==6;
        Y(k,13)=1.00;
    elseif W(k,11)==7;
        Y(k,13)=1.50;
    elseif W(k,11)==8;
        Y(k,13)=2.50;
    else
        Y(k,13)=3.50;
    end
    if W(k,12)==2;
        Y(k,14)=0.10;
    elseif W(k,12)==3;
        Y(k,14)=0.20;
    elseif W(k,12)==4;
        Y(k,14)=0.50;
    elseif W(k,12)==5;
        Y(k,14)=0.75;
    elseif W(k,12)==6;
        Y(k,14)=1.00;
    elseif W(k,12)==7;
        Y(k,14)=1.50;
    elseif W(k,12)==8;
        Y(k,14)=2.50;
    else
        Y(k,14)=3.50;
    end
    
    %choice
    if W(k,13)==1;
        Y(k,15)=1; %Q12 choice
    end
    if W(k,13)==2;
        Y(k,16)=1; %Q13 choice
    end
    if W(k,13)==3;
        Y(k,17)=1; %Q14 choice
    end
    
    %fishing importance
    Y(k,18)=W(k,14); %very important dummy
    Y(k,19)=W(k,15); %somewhat important dummy
    
    %response confidence
    Y(k,20)=W(k,16); %extremely confident
    Y(k,21)=W(k,17); %very confident
    Y(k,22)=W(k,18); %somewhat confident
    
    %ever fished
    Y(k,23)=W(k,19); %1 if ever fished
    
    %respondent ID
    Y(k,24)=W(k,20); %respondent ID
    
    %weight
    Y(k,25)=W(k,21); %sampling weights
    
    Y(k,26)=W(k,25); %4-yr college dummy
    
    %age 65+ dummy
    if W(k,24)>64
        Y(k,27)=1;
    else
        Y(k,27)=0;
    end
     
    %Male dummy
    Y(k,28)=W(k,26);
    
    %Non-White dummy
    Y(k,28)=1-W(k,27);
    
    %pdiff - probability difference from sample selection equation
    Y(k,29)=W(k,28);
    
end
